Bug 235649 - dhclient update does not retrieve ip address for wifi orinoco_cs pcmcia card
dhclient update does not retrieve ip address for wifi orinoco_cs pcmcia card
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-09 01:42 EDT by chocomilk
Modified: 2007-12-13 17:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 17:18:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of dmesg (19.99 KB, text/plain)
2007-04-12 20:46 EDT, chocomilk
no flags Details
dmesg with two cards inserted and 'noacpi' parameter (22.81 KB, text/plain)
2007-04-13 16:58 EDT, chocomilk
no flags Details

  None (edit)
Description chocomilk 2007-04-09 01:42:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-AR; rv:1.8.0.10) Gecko/20070313 Fedora/1.5.0.10-5.fc6 Firefox/1.5.0.10

Description of problem:
When updating the system after installing FC6, dhclient, in WiFi orinoco_cs compatible card, can't retrieve addreses.  dhclient stills work fine with Ethernet card (NE200 compatible, pcnet driver).

Version-Release number of selected component (if applicable):
dhclient-3.0.5-3.fc6

How reproducible:
Always


Steps to Reproduce:
1.Install FC6 in a system with orinoco compatible pcmicia card.
2.Update system.
3.Configure your WiFi settings.
4.Use dhclient <wifi-interface>


Actual Results:
1. dhclient can't retrieve ip address in the orinoco_cs WiFi card.

Expected Results:
Retrieve the ip address.

Additional info:
1. dhclient update (dhclient-3.0.5-3.fc6) stills work with normal ethernet pcmcia card. (I have a pcnet_cs NE2000 compatible card and work fine).
2. I removed the dhclient update and reinstalled the previous dhclient and dhclient (dhclient-3.0.4-21.fc6), and the ip address retrieving worked again normally.
Comment 1 Matthew Miller 2007-04-09 09:16:02 EDT
(Misfiled against FC6-test; moving to FC6 proper.)
Comment 2 David Cantrell 2007-04-09 09:47:22 EDT
The package versions reported here don't make sense.  I have recently made a
DHCP update for FC-6 (dhcp-3.0.5-4.fc6) and I made a new one for rawhide
(dhcp-3.0.5-27.fc7).  Is this bug for rawhide (or a Fedora 7 test release) or is
it for FC-6?

I'm inclined to think it's for rawhide, but let me know.
Comment 3 David Cantrell 2007-04-09 12:26:46 EDT
Will you try the dhcp packages available here:

http://people.redhat.com/dcantrel/RPMS/dhcp/

There are i386, x86_64, and ppc packages available.  Download the ones for your
platform and upgrade them with rpm.  Try dhclient again and let me know what
happens.
Comment 4 David Cantrell 2007-04-09 12:27:18 EDT
Changing version to devel since there is no way this bug is for FC-6.
Comment 5 David Cantrell 2007-04-09 17:46:10 EDT
Fixed in dhcp-3.0.5-28.fc7 in rawhide.
Comment 6 David Cantrell 2007-04-10 10:30:28 EDT
You've moved this bug back to fc6.  Is it for fc6 or devel?
Comment 7 David Cantrell 2007-04-10 10:43:33 EDT
I have rebuilt dhcp for FC-6 and placed the packages here:

http://people.redhat.com/dcantrel/RPMS/dhcp/

Please try the updated .fc6. rpms for your platform and let me know if they work
with your wifi card.
Comment 8 chocomilk 2007-04-12 20:46:28 EDT
Created attachment 152513 [details]
output of dmesg
Comment 9 chocomilk 2007-04-12 20:47:26 EDT
Sorry for my slowliness, but here I'm back to reply:

1. I installed the dhclient-3.0.5-4.fc6:
rpm -qv dhclient
dhclient-3.0.5-4.fc6

But it does not retrieve any ip address.

2. I believe, it is not fault of the dhclient but something that has to do with
the way that is recognized the card. I noticed that dmesg shows this error:
 
ADDRCONF(NETDEV_UP): eth0: link is not ready

It occurs after the command
dhclient -n eth0

(something weird , I believe, for the WiFi card).

3. I am using kernel :
uname -a
Linux localhost.localdomain 2.6.20-1.2933.fc6 #1 SMP Mon Mar 19 11:38:26 EDT
2007 i686 i686 i386 GNU/Linux

4. I tested the wifi card again with a Live CD (BackTrack-2), and it works fine.
The kernel used : 

Linux bt 2.6.20-BT-PwnSauce-NOSMP #3 Sat Feb 24 15:52:59 GMT 2007 i686 pentium3
i386 GNU/Linux

This kernel is close to what I am using in Fedora.

5. The orinoco driver is the same in BT2 and FC6:
dmesg | grep -i orinoco
orinoco 0.15 (David Gibson <hermes@gibson.dropbear.id.au>, Pavel Roskin
<proski@gnu.org>, et al)
orinoco_cs 0.15 (David Gibson <hermes@gibson.dropbear.id.au>, Pavel Roskin
<proski@gnu.org>, et al)
eth0: orinoco_cs at 0.0, irq 3, io 0x0100-0x013f


6. I browsed in the Internet and I'm suspecting that the problem is with the
udev system. Though my wifi card is always configured as eth0 , and the other
card (normal ethernet card), is configured as eth1 I am not sure how the wi fi
is recognized.


7. I send you the output of dmesg of the FC6. Hope this helps you.


Best regards

Pancho.
Comment 10 David Cantrell 2007-04-13 10:48:14 EDT
This does appear to be a problem with the orinoco_cs driver in the kernel. 
Reassigning to that component.
Comment 11 John W. Linville 2007-04-13 11:01:09 EDT
Did you try booting with the "irqpoll" option, as suggested by the yenta stack 
traces in the dmesg?  Since yenta is related to pcmcia, I suspect that your 
orinoco_cs card isn't getting its interrupts delivered to the processor.
Comment 12 chocomilk 2007-04-13 16:57:00 EDT
Yes, indeed, but the card refuses to work properly even with the irqpoll option
in the kernel.

The only way that the wifi card works is:
1. Inserting the two cards in the pcmcia slots.
2. Add 'noacpi' parameter (without 'irqpoll' option) to the kernel .
3. Restarting the system. 

If I add the 'irqpoll' and the 'noacpi' parameters to the kernel, together with
the two cards, the system freezes completly when it reaches de HAL daemon (maybe
there is something before it that provokes the freezing).

I'll send you a dmesg output whith the two cards working . 
Comment 13 chocomilk 2007-04-13 16:58:56 EDT
Created attachment 152590 [details]
dmesg with two cards inserted and 'noacpi' parameter
Comment 14 chocomilk 2007-04-13 17:31:36 EDT
I just tested another card ( a CISCO wifi card , driver airo_cs), and it behaves
the same way the other wifi card, so I don't believe is a driver issue.

I don't think is a hardware issue because the WiFi card (orinoco_cs) works fine
with the BT2 LiveCD mentioned above.

Greetings.
Comment 15 John W. Linville 2007-07-30 15:27:41 EDT
Is this still an issue with current FC6 or F7 kernels?
Comment 16 John W. Linville 2007-12-13 17:18:15 EST
Closed due to lack of response...please re-open if/when the requested 
information becomes available...

Note You need to log in before you can comment on or make changes to this bug.